<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class AvailableUserRoleSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::table('available_user_roles')->insert([
            'role' => 'None',
            'description' => 'No user roles.',
            'rank' => 0,
        ]);

        DB::table('available_user_roles')->insert([
            'role' => 'Guest',
            'description' => 'Guest of the site',
            'rank' => 1,
        ]);

        DB::table('available_user_roles')->insert([
            'role' => 'Contractor',
            'description' => 'Contractor of Services',
            'rank' => 2,
        ]);

        DB::table('available_user_roles')->insert([
            'role' => 'User',
            'description' => 'User of the site',
            'rank' => 3,
        ]);

        DB::table('available_user_roles')->insert([
            'role' => 'Member',
            'description' => 'Member of the corporation / alliance',
            'rank' => 4,
        ]);

        DB::table('available_user_roles')->insert([
            'role' => 'Officer',
            'description' => 'Office of the corporation / alliance',
            'rank' => 5,
        ]);

        DB::table('available_user_roles')->insert([
            'role' => 'Admin',
            'description' => 'Administrator of the site.',
            'rank' => 6,
        ]);

        DB::table('available_user_roles')->insert([
            'role' => 'SuperUser',
            'description' => 'Super User of the site.',
            'rank' => 7,
        ]);
    }
}
